%define	name	gnuchess
%define version 6.2.5
%define release %mkrel 1

%define book_version 1.02

Summary:	The GNU chess program
Summary(de):	Das GNU chess (Schach) Programm
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	ftp://ftp.gnu.org/pub/gnu/chess/%{name}-%{version}.tar.xz
#Source1:	ftp://ftp.gnu.org/pub/gnu/chess/%{name}-%{version}.tar.gz.sig
Source2:	ftp://ftp.gnu.org/pub/gnu/chess/book_%{book_version}.pgn.xz
#Source3:	ftp://ftp.gnu.org/pub/gnu/chess/book_%{book_version}.pgn.gz.sig
Group:		Games/Boards
URL:		http://www.gnu.org/software/chess/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
License:	GPLv3 and Public Domain
BuildRequires:	%{_lib}readline-devel
BuildRequires:	ncurses-devel
BuildRequires:	flex gzip
Provides:	chessengine
Obsoletes:	gnuchess-book
Provides:	gnuchess-book

%description
The gnuchess package contains the GNU chess program.  By default,
GNUchess uses a text-based interface.  Alternatively, GNUchess can
be used in conjunction with other GUI interface, thus serving as a
chess engine.

You should install the gnuchess package if you would like to play
chess on your computer. If you'd like to use a graphical interface
with GNUchess, you'll also need to install other GUI interface,
such as xboard or eboard.

This package also includes opening book for gnuchess, containing many
historic games played between masters and grandmasters.

%description -l de
Das gnuchess Paket beinhaltet das GNU chess (Schach) Programm. Standardmäßig
nutzt GNU chess eine textbasierte Benutzerschnittstelle. Alternativ kann es 
aber auch mit anderen GUI Schnittstellen kombiniert werden, in diesem dient
GNU chess nur als Hintergrundprogramm.

Sie sollten das gnuchess Programm installieren, wenn Sie auf ihrem Computer
Schach spielen wollen. Wenn Sie eine grafische Benutzeroberfläche benutzen wollen,
dann werden Sie ein andere GUI wie z.B. xboard oder eboard installieren wollen.

Dieses Paket beinhaltet auch ein Buch für gnuchess, welches viele historische
Schachpartien zwischen Meistern und Großmeistern enthält.


%prep
%setup -q
xz -dc %{_sourcedir}/book_%{book_version}.pgn.xz > book.pgn

%build
%configure2_5x	--bindir=%{_gamesbindir} --datadir=%{_gamesdatadir}
%make

# create book
./src/%{name} --addbook book.pgn

%install
rm -rf $RPM_BUILD_ROOT
%{makeinstall_std}

install -m0644 book.pgn -D %{buildroot}%{_gamesdatadir}/%{name}/book.pgn

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc AUTHORS ChangeLog NEWS README COPYING TODO
%{_gamesbindir}
%{_gamesdatadir}
%{_infodir}
%{_datadir}/locale
%{_mandir}

%changelog
* Fri Dec 29 2017 ghostbunny <ghostbunny at gmx dot de> 6.2.5-1pclos2018
- 6.2.5
- remove patch, the patch is applied upstream

* Wed Mar 09 2016 mbantz <martin dot bantz at gmail dot com> 6.2.2-1pclos2016
- 6.2.2
- shifting to xz compression
- Updated files section

* Wed Oct 02 2013 pinoc <vogtpet at gmail dot com> 6.0.3-1pclos2013
- 6.0.3

* Fri Sep 14 2012 ghostbunny <ghostbunny at gmx dot de> 6.0.2-1pclos2012
- 6.0.2
- added german summary and description
- added xz compression
- renamed spec to pclos-gnuchess.spec
- removed patch the file to patch does not exist anymore
- commented install of dat file does not exist
- fixed files section
- added --datadir=%{_gamesdatadir} to configure line

* Fri Nov 03 2006 Texstar <texstar@houston.rr.com> 5.07-10pclos2007
- Build for PCLinuxOS 2007
